All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.connection.platform
Class PlatformConnectionFactoryManager

    com.sas.services.connection.platform.PlatformConnectionFactoryManager

    public class PlatformConnectionFactoryManager

A factory of connection factories. This class creates `connection factories` that match a desired `configuration`. Connection factories created using this connection factory manager will use the Logging Service to log messages about their activity.

Field Summary
`static PlatformConnectionFactoryManager` | `defaultManager` The default platform connection factory manager.

Constructor Summary
`PlatformConnectionFactoryManager()` Construct a new platform connection factory manager.

Method Summary
`static PlatformConnectionFactoryInterface` | `getPlatformConnectionFactory(ConnectionFactoryConfiguration cxfConfig)` Creates a connection factory that matches a desired configuration.
`static java.lang.String` | `getPlatformConnectionFactoryLoggerName(ConnectionFactoryConfiguration cxfConfig)` Deprecated. all connection factory and connection activity is logged on loggers named `com.sas.services.connection` and `com.sas.iom.orb`, respectively. The logger with the name returned by this method will not be used by the factory created from the specified configuration.
`PlatformConnectionFactoryInterface` | `getPlatformFactory(ConnectionFactoryConfiguration cxfConfig)` Creates a connection factory that matches a desired configuration.

Methods inherited from class com.sas.services.connection.ConnectionFactoryManager
`activateShell, getConnectionFactory, getConnectionFactoryLoggerName, getFactory, getFactoryLoggerName, removeKernel`

Field Detail

### defaultManager

    public static PlatformConnectionFactoryManager defaultManager

  The default platform connection factory manager.

Constructor Detail

### PlatformConnectionFactoryManager

    public PlatformConnectionFactoryManager()

  Construct a new platform connection factory manager.

Method Detail

### getPlatformFactory

    public PlatformConnectionFactoryInterface getPlatformFactory(ConnectionFactoryConfiguration cxfConfig)
                                                          throws ConnectionFactoryException

  Creates a connection factory that matches a desired configuration. The factory will be managed by this connection factory manager. If such a connection factory already exists in this manager's factory set, and if it has not been shutdown or destroyed, a reference to it will be returned instead.

  Parameters:
    `cxfConfig` - the desired configuration
  Returns:
    a connection fatory matching the desired configuration
  Throws:
    `ConnectionFactoryException` - if the configuration is invalid

### getPlatformConnectionFactoryLoggerName

    public static java.lang.String getPlatformConnectionFactoryLoggerName(ConnectionFactoryConfiguration cxfConfig)

  Deprecated. all connection factory and connection activity is logged on loggers named `com.sas.services.connection` and `com.sas.iom.orb`, respectively. The logger with the name returned by this method will not be used by the factory created from the specified configuration.

  Get the name of the logger that will be used by the factory created by the default manager using the specified configuration.

  Parameters:
    `cxfConfig` - the desired configuration. Cannot be null.
  Returns:
    the name of the logger that will be used by the factory created by the default manager using the specified configuration

### getPlatformConnectionFactory

    public static PlatformConnectionFactoryInterface getPlatformConnectionFactory(ConnectionFactoryConfiguration cxfConfig)
                                                                           throws ConnectionFactoryException

  Creates a connection factory that matches a desired configuration. The factory will be managed by the default connection factory manager. If such a connection factory already exists in the default manager's factory set, and if it has not been shutdown or destroyed, a reference to it will be returned instead.

  Parameters:
    `cxfConfig` - the desired configuration
  Returns:
    a connection fatory matching the desired configuration
  Throws:
    `ConnectionFactoryException` - if the configuration is invalid

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.